Bug 717112 - Use /etc/login.defs to define a 'system' account instead of hard-coding 500 (authconfig)
Use /etc/login.defs to define a 'system' account instead of hard-coding 500 (...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1kAccounts
  Show dependency treegraph
 
Reported: 2011-06-28 00:10 EDT by Miloslav Trmač
Modified: 2013-05-10 04:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: authconfig-6.1.15-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-22 07:35:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2011-06-28 00:10:51 EDT
Description of problem:
authinfo.py (and authconfig.8) categorize UIDs as system/user using a hard-coded value 500.  Please use UID_MIN from /etc/login.defs for this; we plan to change the boundary.

See attachment 510191 [details] for the proper way to parse /etc/login.defs.

Please let me know if you want me to prepare a complete patch.

Version-Release number of selected component (if applicable):
authconfig-6.1.14-2.fc16
Comment 1 Tomas Mraz 2011-06-28 02:25:24 EDT
No need to prepare a complete patch.
Comment 2 Kostas Georgiou 2011-07-21 06:31:00 EDT
Shouldn't authconfig use SYS_UID_{MIN,MAX} instead of UID_MIN?
Values below UID_MIN can still be user accounts...
Comment 3 Miloslav Trmač 2011-07-21 07:09:15 EDT
(In reply to comment #2)
> Shouldn't authconfig use SYS_UID_{MIN,MAX} instead of UID_MIN?
> Values below UID_MIN can still be user accounts...

Similarly, values outside of SYS_* can be system accounts.  In practice, SYS_UID_MAX defaults to (UID_MIN-1), so UID_MIN is the variable more likely to be present in login.defs - and checking UID_MIN is already a de facto standard.

Note You need to log in before you can comment on or make changes to this bug.